I tried to upgrade review board from 1.6.6 to 1.6.9 but `rb-site upgrade` 
spit some errors like 

_mysql_exceptions.  OperationalError: (1005, "Can't create table 
 'reviewboard.#sql-2a4_3' (errno: 150)")

A google search led me to an older post in this group: 

And indeed changing all reviewboard tables to InnoDb solved the issue. I 
just thought I mention this here in case someone else runs into this 
problem and it wasn't straight forward to solve (at least not for me).

The problem was caused by initially setting up rb on a Ubuntu 10.10 which 
used MySQL 5.0 and MyISAM was the default storage engine there. Since MySQL 
5.5 the default storage engine is InnoDb.

Maybe it could be added to the MySQL specific documentation of the 
Administration Guide.


Want to help the Review Board project? Donate today at 
Happy user? Let us know at http://www.reviewboard.org/users/
To unsubscribe from this group, send email to 
For more options, visit this group at 

Reply via email to